PETSc version 3.15.5
Fix/Edit manual page

# MatDenseCUDARestoreArrayWrite

Restore write access to the CUDA buffer inside a dense matrix previously obtained with MatDenseCUDAGetArrayWrite().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseCUDARestoreArrayWrite(Mat A, PetscScalar **a)

Not Collective

### Input Parameters

| A | - the matrix
| array | - the GPU array in column major order

### Notes

### See Also

MatDenseCUDAGetArray(), MatDenseCUDARestoreArray(), MatDenseCUDAGetArrayWrite(), MatDenseCUDARestoreArrayRead(), MatDenseCUDAGetArrayRead()

### Level

developer

### Location

src/mat/impls/dense/mpi/mpidense.c

### Implementations

MatDenseCUDARestoreArrayWrite_MPIDenseCUDA in src/mat/impls/dense/mpi/mpidense.c
MatDenseCUDARestoreArrayWrite_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages